Approvals / REST API

Push outbound event

Mark a pending push event as pushed after approval. Use list-pending-approvals and get-approval-detail first.

POST /api/agents/push-events/{eventId}/pushDeterministic operation

Parameters

workspaceIdOptional · string
Optional with API key auth - inferred from the key.
eventIdRequired · string
See the input schema for this field.
Request example
curl -X POST "https://app.pipeline.help/api/agents/push-events/00000000-0000-4000-8000-000000000000/push" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "description": "Optional with API key auth - inferred from the key."
    },
    "eventId": {
      "type": "string"
    }
  },
  "required": [
    "eventId"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview